Bug 446598 - dhclient.conf not working as expected
Summary: dhclient.conf not working as expected
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-15 09:53 UTC by Rohan Dhruva
Modified: 2009-02-25 16:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-25 16:13:30 UTC


Attachments (Terms of Use)
My dhclient.conf (1.52 KB, text/plain)
2008-05-15 09:53 UTC, Rohan Dhruva
no flags Details

Description Rohan Dhruva 2008-05-15 09:53:37 UTC
Description of problem:
As I had said in this bug - https://bugzilla.redhat.com/show_bug.cgi?id=398351 -
I need to set a custom DNS for my machine. In resolv.conf, I need to add the
line "nameserver 4.2.2.2". In fedora 8, I did that by creating an appropriate
dhclient.conf file. Using the same file in Fedora 9 doesn't work - the 4.2.2.2
line doesn't appear in resolv.conf, only 192.168.1.1. I'm attaching my
dhclient.conf file.

Version-Release number of selected component (if applicable):
0.7.0-0.9.3.svn3623.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Create the file /etc/dhclient.conf (attached)
2. Reboot
3. Check, /etc/resolv.conf still not updated with new DNS entries
  
Actual results:
/etc/resolv.conf is not updated with the proper DNS entry.

Expected results:
/etc/resolv.conf should have first line as 

nameserver 4.2.2.2

Additional info:
The attached file worked perfectly in Fedora 8.

Comment 1 Rohan Dhruva 2008-05-15 09:53:37 UTC
Created attachment 305459 [details]
My dhclient.conf

Comment 2 Dan Williams 2009-02-14 21:27:23 UTC
Can you try moving your options to a dhclient-eth0.conf using the name of the interface?  NM will honor interface-specific dhclient config files and merge them into the config it actually uses with dhclient.

Comment 3 Rohan Dhruva 2009-02-25 09:10:39 UTC
Thank you very much, that works as expected :)
Can you please help me close this bug?

Comment 4 Dan Williams 2009-02-25 16:13:30 UTC
Sure, thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.